=== debian/changelog ===
ros-dashing-ros-controllers (0.0.1-2bionic) bionic; urgency=high

  * Dashing compatibility (#7 <https://github.com/ros-controls/ros2_controllers/issues/7>)
  * Contributors: Bence Magyar, Karsten Knese, Parth Chopra

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 05 Feb 2020 08:00:00 -0000
